Bug 225325 - poppler-devel.i386 can't be installed on x86-64
poppler-devel.i386 can't be installed on x86-64
Product: Fedora
Classification: Fedora
Component: poppler (Show other bugs)
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Depends On:
  Show dependency treegraph
Reported: 2007-01-29 16:55 EST by Vladimir Mosgalin
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.4-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 05:42:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Mosgalin 2007-01-29 16:55:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv: Gecko/20061208 Firefox/

Description of problem:
poppler-devel (i386) from updates refuses to install on x86-64 system due to multilib problem in its dependency. poppler-devel requires poppler-qt, but poppler-qt in updates is present only in x86-64 version.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install poppler-devel.i386

Actual Results:
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package poppler-devel.i386 0:0.5.4-5.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libpoppler-qt.so.1 for package: poppler-devel
--> Processing Dependency: libpoppler-glib.so.1 for package: poppler-devel
--> Processing Dependency: libpoppler.so.1 for package: poppler-devel
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package poppler.i386 0:0.5.4-2.fc6 set to be updated
--> Running transaction check
--> Processing Dependency: libpoppler-qt.so.1 for package: poppler-devel
--> Finished Dependency Resolution
Error: Missing Dependency: libpoppler-qt.so.1 is needed by package poppler-devel

Expected Results:
poppler-qt.i386, poppler-devel.i386 installed.

Additional info:
Comment 1 Bug Zapper 2008-04-04 02:00:02 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Vladimir Mosgalin 2008-04-04 05:42:57 EDT
As of poppler-devel-0.5.4-7.fc7.i386.rpm (base F7 version) qt bits have been
moved to poppler-qt-devel and this bug doesn't present anymore, closing it

Note You need to log in before you can comment on or make changes to this bug.